import argparse
import asyncio
import logging

import pnpdevice.server

LOGGER = logging.getLogger(__name__)

def main():
	parser = argparse.ArgumentParser()
	parser.add_argument("-v", "--verbose", action="store_true", help="Enable verbose logging")
	parser.add_argument("-s", "--simulate", action="store_true", help="When present, simulate the state of the relays")
	args = parser.parse_args()

	logging.basicConfig(level=logging.DEBUG if args.verbose else logging.INFO)

	if args.simulate:
		relays = pnpdevice.relays.RelaysFake()
	else:
		relays = pnpdevice.relays.RelaysReal()
	pnpdevice.server.run(relays)
