from aiohttp import web
import aiohttp_jinja2
import jinja2

import pnpdevice.discovery
import pnpdevice.relays

def html(text: str) -> web.Response:
	return web.Response(content_type="text/html", text=f"<html>{text}</html>")

@aiohttp_jinja2.template("index.template.html")
async def index(request):
	return {}

async def status(request):
	return html("Status")

def run(relays: pnpdevice.relays.Relays):
	"Run the embedded web server"
	app = web.Application()
	aiohttp_jinja2.setup(app,
	  loader=jinja2.FileSystemLoader("templates"))
	app.on_startup.append(pnpdevice.discovery.handle)
	app.add_routes([web.get("/", index)])
	web.run_app(app)

